From: Jan Kiszka <jan.kiszka@siemens.com>
To: Avi Kivity <avi@redhat.com>, Marcelo Tosatti <mtosatti@redhat.com>
Cc: kvm@vger.kernel.org, qemu-devel@nongnu.org,
"Alexander Graf" <agraf@suse.de>,
"Christoph Hellwig" <hch@lst.de>,
"Peter Maydell" <peter.maydell@linaro.org>,
"Andreas Färber" <andreas.faerber@web.de>
Subject: [PATCH v2 01/12] Add kernel header update script
Date: Wed, 08 Jun 2011 17:06:19 +0200 [thread overview]
Message-ID: <4DEF8FEB.2080504@siemens.com> (raw)
In-Reply-To: <b7e14da2dbade9affee696a5997db1df5019ce43.1307542247.git.jan.kiszka@siemens.com>
This helper pulls the required kernel headers for KVM and vhost into a
specified directory. The update is triggered via
scripts/update-linux-headers.sh LINUX_PATH
and will place the output under linux-headers/linux and linux-headers/asm-*.
It also imports the COPYING to care for headers without an explicit license.
CC: Alexander Graf <agraf@suse.de>
CC: Christoph Hellwig <hch@lst.de>
CC: Peter Maydell <peter.maydell@linaro.org>
CC: Andreas Färber <andreas.faerber@web.de>
Signed-off-by: Jan Kiszka <jan.kiszka@siemens.com>
---
Changes in v2:
- add quoting
- use mktemp
- avoid -o for test
| 2 +
| 55 +++++++++++++++++++++++++++++++++++++++
2 files changed, 57 insertions(+), 0 deletions(-)
create mode 100644 linux-headers/README
create mode 100755 scripts/update-linux-headers.sh
--git a/linux-headers/README b/linux-headers/README
new file mode 100644
index 0000000..5c9026b
--- /dev/null
+++ b/linux-headers/README
@@ -0,0 +1,2 @@
+Automatically imported Linux kernel headers.
+Only use scripts/update-linux-headers.sh to update!
--git a/scripts/update-linux-headers.sh b/scripts/update-linux-headers.sh
new file mode 100755
index 0000000..e43f385
--- /dev/null
+++ b/scripts/update-linux-headers.sh
@@ -0,0 +1,55 @@
+#!/bin/sh -e
+#
+# Update Linux kernel headers QEMU requires from a specified kernel tree.
+#
+# Copyright (C) 2011 Siemens AG
+#
+# Authors:
+# Jan Kiszka <jan.kiszka@siemens.com>
+#
+# This work is licensed under the terms of the GNU GPL version 2.
+# See the COPYING file in the top-level directory.
+
+tmpdir=`mktemp -d`
+linux="$1"
+output="$2"
+
+if [ -z "$linux" ] || ! [ -d "$linux" ]; then
+ cat << EOF
+usage: update-kernel-headers.sh LINUX_PATH [OUTPUT_PATH]
+
+LINUX_PATH Linux kernel directory to obtain the headers from
+OUTPUT_PATH output directory, usually the qemu source tree (default: $PWD)
+EOF
+ exit 1
+fi
+
+if [ -z "$output" ]; then
+ output="$PWD"
+fi
+
+for arch in x86 powerpc s390; do
+ make -C "$linux" INSTALL_HDR_PATH="$tmpdir" SRCARCH=$arch headers_install
+
+ rm -rf "$output/linux-headers/asm-$arch"
+ mkdir -p "$output/linux-headers/asm-$arch"
+ for header in kvm.h kvm_para.h; do
+ cp "$tmpdir/include/asm/$header" "$output/linux-headers/asm-$arch"
+ done
+ if [ $arch == x86 ]; then
+ cp "$tmpdir/include/asm/hyperv.h" "$output/linux-headers/asm-x86"
+ fi
+done
+
+rm -rf "$output/linux-headers/linux"
+mkdir -p "$output/linux-headers/linux"
+for header in kvm.h kvm_para.h vhost.h virtio_config.h virtio_ring.h; do
+ cp "$tmpdir/include/linux/$header" "$output/linux-headers/linux"
+done
+if [ -L "$linux/source" ]; then
+ cp "$linux/source/COPYING" "$output/linux-headers"
+else
+ cp "$linux/COPYING" "$output/linux-headers"
+fi
+
+rm -rf "$tmpdir"
--
1.7.1
WARNING: multiple messages have this Message-ID (diff)
From: Jan Kiszka <jan.kiszka@siemens.com>
To: Avi Kivity <avi@redhat.com>, Marcelo Tosatti <mtosatti@redhat.com>
Cc: "Peter Maydell" <peter.maydell@linaro.org>,
kvm@vger.kernel.org, qemu-devel@nongnu.org,
"Alexander Graf" <agraf@suse.de>,
"Andreas Färber" <andreas.faerber@web.de>,
"Christoph Hellwig" <hch@lst.de>
Subject: [Qemu-devel] [PATCH v2 01/12] Add kernel header update script
Date: Wed, 08 Jun 2011 17:06:19 +0200 [thread overview]
Message-ID: <4DEF8FEB.2080504@siemens.com> (raw)
In-Reply-To: <b7e14da2dbade9affee696a5997db1df5019ce43.1307542247.git.jan.kiszka@siemens.com>
This helper pulls the required kernel headers for KVM and vhost into a
specified directory. The update is triggered via
scripts/update-linux-headers.sh LINUX_PATH
and will place the output under linux-headers/linux and linux-headers/asm-*.
It also imports the COPYING to care for headers without an explicit license.
CC: Alexander Graf <agraf@suse.de>
CC: Christoph Hellwig <hch@lst.de>
CC: Peter Maydell <peter.maydell@linaro.org>
CC: Andreas Färber <andreas.faerber@web.de>
Signed-off-by: Jan Kiszka <jan.kiszka@siemens.com>
---
Changes in v2:
- add quoting
- use mktemp
- avoid -o for test
| 2 +
| 55 +++++++++++++++++++++++++++++++++++++++
2 files changed, 57 insertions(+), 0 deletions(-)
create mode 100644 linux-headers/README
create mode 100755 scripts/update-linux-headers.sh
--git a/linux-headers/README b/linux-headers/README
new file mode 100644
index 0000000..5c9026b
--- /dev/null
+++ b/linux-headers/README
@@ -0,0 +1,2 @@
+Automatically imported Linux kernel headers.
+Only use scripts/update-linux-headers.sh to update!
--git a/scripts/update-linux-headers.sh b/scripts/update-linux-headers.sh
new file mode 100755
index 0000000..e43f385
--- /dev/null
+++ b/scripts/update-linux-headers.sh
@@ -0,0 +1,55 @@
+#!/bin/sh -e
+#
+# Update Linux kernel headers QEMU requires from a specified kernel tree.
+#
+# Copyright (C) 2011 Siemens AG
+#
+# Authors:
+# Jan Kiszka <jan.kiszka@siemens.com>
+#
+# This work is licensed under the terms of the GNU GPL version 2.
+# See the COPYING file in the top-level directory.
+
+tmpdir=`mktemp -d`
+linux="$1"
+output="$2"
+
+if [ -z "$linux" ] || ! [ -d "$linux" ]; then
+ cat << EOF
+usage: update-kernel-headers.sh LINUX_PATH [OUTPUT_PATH]
+
+LINUX_PATH Linux kernel directory to obtain the headers from
+OUTPUT_PATH output directory, usually the qemu source tree (default: $PWD)
+EOF
+ exit 1
+fi
+
+if [ -z "$output" ]; then
+ output="$PWD"
+fi
+
+for arch in x86 powerpc s390; do
+ make -C "$linux" INSTALL_HDR_PATH="$tmpdir" SRCARCH=$arch headers_install
+
+ rm -rf "$output/linux-headers/asm-$arch"
+ mkdir -p "$output/linux-headers/asm-$arch"
+ for header in kvm.h kvm_para.h; do
+ cp "$tmpdir/include/asm/$header" "$output/linux-headers/asm-$arch"
+ done
+ if [ $arch == x86 ]; then
+ cp "$tmpdir/include/asm/hyperv.h" "$output/linux-headers/asm-x86"
+ fi
+done
+
+rm -rf "$output/linux-headers/linux"
+mkdir -p "$output/linux-headers/linux"
+for header in kvm.h kvm_para.h vhost.h virtio_config.h virtio_ring.h; do
+ cp "$tmpdir/include/linux/$header" "$output/linux-headers/linux"
+done
+if [ -L "$linux/source" ]; then
+ cp "$linux/source/COPYING" "$output/linux-headers"
+else
+ cp "$linux/COPYING" "$output/linux-headers"
+fi
+
+rm -rf "$tmpdir"
--
1.7.1
next prev parent reply other threads:[~2011-06-08 15:06 UTC|newest]
Thread overview: 90+ messages / expand[flat|nested] mbox.gz Atom feed top
2011-06-08 14:10 [PATCH 00/12] [uq/master] Import linux headers and some cleanups Jan Kiszka
2011-06-08 14:10 ` [Qemu-devel] " Jan Kiszka
2011-06-08 14:10 ` [PATCH 01/12] Add kernel header update script Jan Kiszka
2011-06-08 14:10 ` [Qemu-devel] " Jan Kiszka
2011-06-08 14:33 ` Peter Maydell
2011-06-08 14:33 ` [Qemu-devel] " Peter Maydell
2011-06-08 14:39 ` Jan Kiszka
2011-06-08 14:39 ` [Qemu-devel] " Jan Kiszka
2011-06-08 14:51 ` Peter Maydell
2011-06-08 14:51 ` [Qemu-devel] " Peter Maydell
2011-06-08 15:06 ` Jan Kiszka [this message]
2011-06-08 15:06 ` [Qemu-devel] [PATCH v2 " Jan Kiszka
2011-06-08 15:57 ` Peter Maydell
2011-06-08 15:57 ` [Qemu-devel] " Peter Maydell
2011-06-08 16:22 ` [PATCH v3 " Jan Kiszka
2011-06-08 16:22 ` [Qemu-devel] " Jan Kiszka
2011-06-08 17:30 ` Peter Maydell
2011-06-08 17:30 ` [Qemu-devel] " Peter Maydell
2011-06-08 14:10 ` [PATCH 02/12] Import kernel headers Jan Kiszka
2011-06-08 14:10 ` [Qemu-devel] " Jan Kiszka
2011-06-08 14:10 ` [PATCH 03/12] Switch build system to accompanied " Jan Kiszka
2011-06-08 14:10 ` [Qemu-devel] " Jan Kiszka
2011-06-14 11:11 ` Alexander Graf
2011-06-14 11:11 ` [Qemu-devel] " Alexander Graf
2011-06-14 11:21 ` Jan Kiszka
2011-06-14 11:21 ` [Qemu-devel] " Jan Kiszka
2011-06-14 11:28 ` Alexander Graf
2011-06-14 11:28 ` [Qemu-devel] " Alexander Graf
2011-06-14 11:32 ` Jan Kiszka
2011-06-14 11:32 ` [Qemu-devel] " Jan Kiszka
2011-06-22 20:51 ` Stefan Weil
2011-06-22 20:51 ` [Qemu-devel] " Stefan Weil
2011-06-22 21:37 ` Jan Kiszka
2011-06-22 21:37 ` [Qemu-devel] " Jan Kiszka
2011-06-23 5:37 ` Stefan Weil
2011-06-23 5:37 ` [Qemu-devel] " Stefan Weil
2011-06-23 7:18 ` Jan Kiszka
2011-06-23 7:18 ` [Qemu-devel] " Jan Kiszka
2011-06-23 8:05 ` [PATCH] Fix fallouts from Linux header inclusion Jan Kiszka
2011-06-23 8:05 ` [Qemu-devel] " Jan Kiszka
2011-06-23 10:59 ` Andreas Färber
2011-06-23 10:59 ` Andreas Färber
2011-06-23 15:14 ` Stefan Weil
2011-06-23 15:14 ` [Qemu-devel] " Stefan Weil
2011-06-26 18:01 ` Blue Swirl
2011-06-26 18:01 ` Blue Swirl
2011-06-08 14:10 ` [PATCH 04/12] kvm: Drop CONFIG_KVM_PARA Jan Kiszka
2011-06-08 14:10 ` [Qemu-devel] " Jan Kiszka
2011-06-08 14:10 ` [PATCH 05/12] kvm: ppc: Drop CONFIG_KVM_PPC_PVR Jan Kiszka
2011-06-08 14:10 ` [Qemu-devel] " Jan Kiszka
2011-06-14 11:06 ` Alexander Graf
2011-06-14 11:06 ` [Qemu-devel] " Alexander Graf
2011-06-08 14:11 ` [PATCH 06/12] kvm: Drop useless zero-initializations Jan Kiszka
2011-06-08 14:11 ` [Qemu-devel] " Jan Kiszka
2011-06-08 14:11 ` [PATCH 07/12] kvm: Drop KVM_CAP build dependencies Jan Kiszka
2011-06-08 14:11 ` [Qemu-devel] " Jan Kiszka
2011-06-14 11:05 ` Alexander Graf
2011-06-14 11:05 ` [Qemu-devel] " Alexander Graf
2011-06-14 11:07 ` Jan Kiszka
2011-06-14 11:07 ` [Qemu-devel] " Jan Kiszka
2011-06-14 11:17 ` Alexander Graf
2011-06-14 11:17 ` [Qemu-devel] " Alexander Graf
2011-06-14 11:19 ` Jan Kiszka
2011-06-14 11:19 ` [Qemu-devel] " Jan Kiszka
2011-06-14 11:25 ` Alexander Graf
2011-06-14 11:25 ` [Qemu-devel] " Alexander Graf
2011-06-08 14:11 ` [PATCH 08/12] kvm: x86: " Jan Kiszka
2011-06-08 14:11 ` [Qemu-devel] " Jan Kiszka
2011-06-08 14:11 ` [PATCH 09/12] kvm: ppc: " Jan Kiszka
2011-06-08 14:11 ` [Qemu-devel] " Jan Kiszka
2011-06-10 18:32 ` Eduardo Habkost
2011-06-10 18:32 ` Eduardo Habkost
2011-06-11 7:45 ` Jan Kiszka
2011-06-11 7:45 ` [Qemu-devel] " Jan Kiszka
2011-06-14 11:07 ` Alexander Graf
2011-06-14 11:07 ` [Qemu-devel] " Alexander Graf
2011-06-08 14:11 ` [PATCH 10/12] kvm: Clean up stubs Jan Kiszka
2011-06-08 14:11 ` [Qemu-devel] " Jan Kiszka
2011-06-08 14:11 ` [PATCH 11/12] kvm: x86: Pass KVMState to kvm_arch_get_supported_cpuid Jan Kiszka
2011-06-08 14:11 ` [Qemu-devel] " Jan Kiszka
2011-06-09 17:33 ` Eduardo Habkost
2011-06-09 17:33 ` Eduardo Habkost
2011-06-09 17:41 ` Jan Kiszka
2011-06-09 18:08 ` Eduardo Habkost
2011-06-09 18:08 ` Eduardo Habkost
2011-06-09 19:53 ` Jan Kiszka
2011-06-08 14:11 ` [PATCH 12/12] Remove unneeded kvm.h from cpu-exec.c Jan Kiszka
2011-06-08 14:11 ` [Qemu-devel] " Jan Kiszka
2011-06-20 18:24 ` [PATCH 00/12] [uq/master] Import linux headers and some cleanups Marcelo Tosatti
2011-06-20 18:24 ` [Qemu-devel] " Marcelo Tosatti
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=4DEF8FEB.2080504@siemens.com \
--to=jan.kiszka@siemens.com \
--cc=agraf@suse.de \
--cc=andreas.faerber@web.de \
--cc=avi@redhat.com \
--cc=hch@lst.de \
--cc=kvm@vger.kernel.org \
--cc=mtosatti@redhat.com \
--cc=peter.maydell@linaro.org \
--cc=qemu-devel@nongnu.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.